# Jailbreaking as a Reward Misspecification Problem

This repository contains the source code of our submission *Jailbreaking as a Reward Misspecification Problem*.

## Requirements

To install requirements:

```
pip install -r requirements.txt
```

## Training

To train ReMiss targeting `Llama-2-7b-chat`, run this command:

```
bash scripts/train.sh llama2_chat
```

You can alter the argument (e.g., `vicuna_chat`) to attack other models.
Here is an [example](data/vicuna_chat_response.csv) of the generated adversarial suffixes.

## Evaluation & More Analysis

### LlamaGuard Evaluation
By default, evaluation results on the test set are saved to `${OUTPUT_DIR}/suffix_dataset`.
You can also evaluate the responses with [LlamaGuard](https://huggingface.co/meta-llama/LlamaGuard-7b):

```
python eval_llamaguard.py --input response.csv --output response_llamaguard.csv
```

### Backdoor Detection Analysis
You can also reproduce our results on backdoor detection and transfer attacks.
For backdoor detection, run the script `scripts/backdoor.sh` and then visualize with `notebooks/backdoor.ipynb`.

### Transfer Attacks
To transfer adversarial attacks to `gpt-3.5-turbo-0301`, you can use the following command:

```
export OPENAI_API_KEY=${YOUR_API_KEY}
python eval_transfergpt.py --input response.csv --output response_gpt.csv --model gpt-3.5-turbo-0301
```
